> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Author by ID

> Get Author by ID.



## OpenAPI

````yaml GET /authors/getById/{id}
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags: []
paths:
  /authors/getById/{id}:
    get:
      tags:
        - Authors
      summary: Get author by id (public)
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
            pattern: ^[a-fA-F0-9]{24}$
            example: '{{objectId}}'
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                OK:
                  value:
                    success: true
                    statusCode: 200
                    message: OK
                    data:
                      id: '{{objectId}}'
                      name:
                        en: John Carter
                        es: Juan Carter
                      slug: john-carter
                      bio:
                        en: <p>Editor and writer focused on AI topics.</p>
                        es: <p>Editor y escritor enfocado en temas de IA.</p>
                      avatar: https://cdn.example.com/avatars/john.jpg
                      role: Editor
                      socials:
                        website: https://john.example.com
                        twitter: https://twitter.com/john
                      email: john@example.com
                      isActive: true
        '404':
          description: Not found
          content:
            application/json:
              examples:
                NotFound:
                  value:
                    success: false
                    statusCode: 404
                    message: Not found
                    data: null
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````